//ライセンス情報はAgeOnフォルダのLISENCEフォルダを参照してください
using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using System.Drawing;

using nispi.controlclass;
using nispi.Menu;

namespace nispi
{
    class MapMainMenuSetup
    {
        public MapControlTabMainMenu mapControlTabMainMenu;


        MenuStripParts menuStripParts;

        ToolStripMenuItemParts menuItemMapAnalysisParts;

        public MapMainMenuSetup()
        {
            menuStripParts = MenuStripPartsManager.Pop();

            menuItemMapAnalysisParts = ToolStripMenuItemPartsManager.Pop();

            mapControlTabMainMenu = new MapControlTabMainMenu(this.menuItemMapAnalysisParts);

            //登録
            this.menuStripParts.ItemsAdd(menuItemMapAnalysisParts);

            this.menuStripParts.Location = new Point(0, 0);
            this.menuStripParts.Name = "menuStrip";
            //this.menuStrip.TabIndex = 5;
            this.menuStripParts.Text = "menuStrip";


            //地図解析
            this.menuItemMapAnalysisParts.DropDownOpening += new EventHandler(menuItemMapAnalysis_DropDownOpening);
            this.menuItemMapAnalysisParts.Name = "menuItemMapAnalysis";
            this.menuItemMapAnalysisParts.Text = "地図解析(&T)";


            Const.mapForm.mapMainForm.AddControl(menuStripParts);
        }

        #region analysis
        private void menuItemMapAnalysis_DropDownOpening(object sender, EventArgs e)
        {
            mapControlTabMainMenu.SetMainMenu();
        }
        #endregion
    }
}